Bug 1278922 - gitg crash at startup after upgrade to fedora23
gitg crash at startup after upgrade to fedora23
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 13:37 EST by Emmanuel Touzery
Modified: 2016-12-20 10:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:27:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (499.47 KB, text/plain)
2015-11-06 13:45 EST, Emmanuel Touzery
no flags Details

  None (edit)
Description Emmanuel Touzery 2015-11-06 13:37:29 EST
Description of problem:
Gitg crashes at startup

Version-Release number of selected component (if applicable):
fedora 23, gitg-3.18.0-1.fc23.x86_64

How reproducible:
every time.

Steps to Reproduce:
1. try to start gitg

Actual results:

gitg: /builddir/build/BUILD/libgit2-0.23.1/src/submodule.c:1673: submodule_load_from_config: Assertion `error != 0' failed.
Aborted (core dumped)


Expected results:
app starts

Additional info:
no core file is dumped in the current folder despite the text.
Comment 1 Emmanuel Touzery 2015-11-06 13:45 EST
Created attachment 1090769 [details]
strace output

Ok i made it work. I saw in the strace output that it looks at ~/.local/share/recently-used.xbel and seems to crash on my spacemacs git repo (or something like that). Renaming the recently-used.xbel fixed it. Attaching the strace.
Comment 2 Emmanuel Touzery 2015-11-06 13:53:49 EST
I've now also reported the bug upstream in the gnome bugzilla, maybe it can be closed here since it's not a general fedora packaging problem (as I thought it could be) but it seems to be simply a bug of the application.

https://bugzilla.gnome.org/show_bug.cgi?id=757701
Comment 3 Fedora End Of Life 2016-11-24 08:09:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:27:43 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.